using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class ProjosScene : MonoBehaviour
{
    public Light[] projos;
    
    void Start()
    {

        projos = new Light[transform.childCount];
        for (int i = 0; i< transform.childCount; i++)
        {
            projos[i] =  transform.GetChild(i).GetComponent<Light>();
        }

        foreach(Light thisLight in projos)
        {
            thisLight.DOIntensity(0.25f+0.75f*Random.value,3f+2f*Random.value).SetLoops(-1,LoopType.Yoyo);
        }        
    }

    // Update is called once per frame
}
